<?php 
/*--------------------------------------------------------
# BT XSoft v1.0 (January 2012) - Joomla! Template
# -------------------------------------------------------
# For Joomla! 1.7.x
# Copyright (C) 2012 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/demo/joomla17/xsoft/
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

defined( '_JEXEC' ) or die( 'Restricted access' );

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$this->template.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<!-- DEFAULT CSS-->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/mstyles.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/layout.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/typography.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/overrides.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />

<!-- CSS3 (Comment it if you want to validate on css2) -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/css3.css" type="text/css" />

<!-- SKIN CSS -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/<?php echo $bt->skin; ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/typography_<?php echo $bt->skin; ?>.css" type="text/css" />

<!-- SLIDESHOW -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/slideshow.css" type="text/css" media="screen" /> 
<?php 
$bt->document->addScript('templates/'.$bt->template_name.'/helpers/assets/js/jquery.cycle.js');
$bt->document->addScript('templates/'.$bt->template_name.'/helpers/assets/js/slideshow.js');
?>

</head>

<body>
<?php 
$bt->adv_one_full_width = (str_replace('px','',$bt->full_width) - 60).'px';
$bt->adv_two_full_width = (str_replace('px','',$bt->full_width) - 30).'px';
$bt_footer_bottom_width = $bt->adv_two_full_width;
$bt_outer_width = (str_replace('px','',$bt->full_width) - 30).'px'; 
$bt_slideshow_width = (str_replace('px','',$bt->full_width) - 20).'px'; 

?>
<div id="bt_body_outer_bg">

    <div id="bt_body_outer" style="width: <?php echo $bt->full_width;?>;">
    
    <div id="bt_body_inner" style="width: <?php echo $bt->full_width;?>;">
    	
        <div id="bt_header_area" style="width: <?php echo $bt->full_width;?>;">
		<?php
		$head_width = (str_replace('px','',$bt->full_width) - 30).'px';
		
        // BEGIN: Logo, Menu
        echo $bt->getPosition('logo_menu', array('logo'=>$bt->logo_width, 'menu'=>$bt->menu_width), $head_width, 'horizontal');
        // END: Logo, Menu
        
        // BEGIN: Toolbar, Social
        echo $bt->getPosition('toolbar_social', array('toolbar'=>$bt->toolbar_width, 'social'=>$bt->social_width), $head_width, 'horizontal');
        // END: Toolbar, Social
        ?>
        </div>
        
        <?php
        // BEGIN: Top
        echo $bt->getPosition('top', array('top1'=>$bt->top1_width, 'top2'=>$bt->top2_width, 'top3'=>$bt->top3_width, 'top4'=>$bt->top4_width, 'top5'=>$bt->top5_width), $head_width, 'horizontal');
        // END: Top
	?>
    
    <div id="bt_shadow" style="width: <?php echo $bt->full_width;?>;">
    
    	<?php
		// BEGIN: Slideshow
        //echo $bt->getPosition('slideshow', array('slideshow'=>$bt->slideshow_width), $bt->full_width, 'horizontal');
        // END: Slideshow
		
		// BEGIN: Slideshow
		$count_slideshow = count(JModuleHelper::getModules('slideshow'));

		if ($count_slideshow > 0) {

			$module = JModuleHelper::getModules('slideshow');
			
			// BEGIN 3 divs of slideshow module
			$slideshow  = '
				<div id="bt_slideshow_div" style="width: '.$bt->full_width.';">
				<div class="bt_slideshow" style="float: left; width: '.$bt->full_width.';">
				<div class="bt_sub_slideshow">';
				
			//$slideshow .= '<jdoc:include type="modules" name="slideshow" style="BTxhtml" />';
			
			// BEGIN slides
        	$slideshow .= '
				<div id="slideshow">
					<div class="slides">
						<ul>';
						// BEGIN content of module
						foreach ($module as $mod ) 
						{
							$slideshow .= '
							<li style="width: '.$bt_slideshow_width.';" id="slide-'.$mod->id.'">
								<div>'.$mod->content.'</div>
							</li>';
						}
						// END content of module
						$slideshow .= '					              
						</ul>
					</div>';
					
					$slideshow .= '
					<ul class="slides-nav">';
						
						// BEGIN content of module
						$i = 0;
						foreach ($module as $mod ) 
						{
							$title = $mod->title;
							$pos = strpos($title, ' ');
							if ($pos) { 
								$title = "<span class=\"first-word\">" . substr($title, 0, $pos+1) . "</span>" . substr($title, $pos+1);
							}else{ 
								$title = "<span class=\"first-word\">" . $title . "</span>";
							}
							$on = ($i == 0) ? ' class="on"' : '';
							$slideshow .= '
							<li'.$on.'><a href="#slide-'.$mod->id.'">'.$title.'</a></li>
							';
						$i++;
						}
						// END content of module
					
					$slideshow .= '
					</ul>
				</div>
				';
			// END slides
			
			$slideshow .= '
				</div>
				</div>
				</div>
			'; // END 3 divs of slideshow module
			
			echo $slideshow;
		}
		// END: Slideshow
		?>
        
        <?php
		// BEGIN: Slideshow
		if ($bt->display_slideshow) { 
		?>
        <div id="bt_adv_one_div_bg"></div>
        <?php 
		}
		// END: Slideshow 
		?>
        
        <?php 
        // BEGIN: Adv One
		if ($bt->display_adv_one) { ?>
            <div id="bt_adv_one_div_bg_inner">
            <?php
            echo $bt->getPosition('adv_one', array('adv1'=>$bt->adv1_width, 'adv2'=>$bt->adv2_width, 'adv3'=>$bt->adv3_width, 'adv4'=>$bt->adv4_width, 'adv5'=>$bt->adv5_width), $bt->adv_one_full_width, 'horizontal');
            ?>
            </div>

        <div id="bt_adv_one_div_bg"></div>
        <?php 
        // END: Adv One
		} ?>
                
        <?php
        // BEGIN: Pathway, Search
        echo $bt->getPosition('pathway_search', array('pathway'=>$bt->pathway_width, 'search'=>$bt->search_width), $bt->full_width, 'horizontal');
        // END: Pathway, Search
		?>
        
        <?php
        // BEGIN: Adv Two
        echo $bt->getPosition('adv_two', array('adv6'=>$bt->adv6_width, 'adv7'=>$bt->adv7_width, 'adv8'=>$bt->adv8_width, 'adv9'=>$bt->adv9_width, 'adv10'=>$bt->adv10_width), $bt->adv_two_full_width, 'horizontal');
        // END: Adv Two
        ?>
        
        <?php // BEGIN: Main Outer ?>
        <div id="bt_main_outer" style="width: <?php echo $bt_outer_width;?>;">
        
			<?php
            // BEGIN: Left
            if ($bt->display_left) {
            ?>
                <div id="bt_left" style="width: <?php echo $bt->left_width;?>;">
                    <?php echo $bt->getPosition('left', array('left_top'=>'', 'left_bottom'=>''), $bt->left_width, 'vertical'); ?>
                </div>
            <?php
            }
			// END: Left
            ?>
				
			<?php
            // BEGIN: Main 
            if ($bt->display_newsflash || $bt->display_news1 || $bt->display_news2 || $bt->display_news3 || $bt->display_mainbody || $bt->display_notice1 || $bt->display_notice2 || $bt->display_notice3 || $bt->display_banner) {
            ?>
            
            <?php // BEGIN: Outer Center ?>
            <div id="bt_outer_center" style="width: <?php echo $bt->bt_main_outer_width;?>;">
                
				<?php // BEGIN: Inner Center ?>
                <div id="bt_inner_center" style="float: left; width: <?php echo $bt->bt_main_inner_width;?>;">

                    <?php
                    // BEGIN: Newsflash
                    echo $bt->getPosition('newsflash', array('newsflash'=>''), $bt->bt_main_inner_width, 'horizontal');
                    // END: Newsflash
                    
                    // BEGIN: News
                    echo $bt->getPosition('news', array('news1'=>$bt->news1_width, 'news2'=>$bt->news2_width, 'news3'=>$bt->news3_width), $bt->bt_main_inner_width, 'horizontal');
                    // END: News
                    
                    // BEGIN: Mainbody
                    echo $bt->getPosition('mainbody', array('mainbody'=>''), $bt->bt_main_inner_width, 'horizontal');
                    // END: Mainbody

                    // BEGIN: Notice
                    echo $bt->getPosition('notice', array('notice1'=>$bt->notice1_width, 'notice2'=>$bt->notice2_width, 'notice3'=>$bt->notice3_width), $bt->bt_main_inner_width, 'horizontal');
                    // END: Notice
                    
                    // BEGIN: Banner
                    echo $bt->getPosition('banner', array('banner'=>''), $bt->bt_main_inner_width, 'horizontal');
                    // END: Banner
                    ?>
                    
                </div>
                <?php // END: Inner Center ?>
				   
			</div>
            <?php // END: Outer Center ?>
			<?php
            } // END: Main
            ?>

			<?php
            // BEGIN: Right
            if ($bt->display_right) {
            ?>
                <div id="bt_right" style="width: <?php echo $bt->right_width;?>;">
                    <?php echo $bt->getPosition('right', array('right_top'=>'', 'right_bottom'=>''), $bt->right_width, 'vertical'); ?>
                </div>
            <?php
            }
            // END: Right
            ?>
		
        <?php
        // BEGIN: Bottom
        echo $bt->getPosition('bottom', array('bottom1'=>$bt->bottom1_width, 'bottom2'=>$bt->bottom2_width, 'bottom3'=>$bt->bottom3_width, 'bottom4'=>$bt->bottom4_width, 'bottom5'=>$bt->bottom5_width), $bt_footer_bottom_width, 'horizontal');
        // END: Bottom
		?>
        
        </div>
		<?php // END: Main Outer ?>

		<?php
		if ($bt->display_footer_one || $bt->display_footer_two) {
		?>
        <div id="bt_footer_div_bg">
		<?php		
        // BEGIN: Footer One
        echo $bt->getPosition('footer_one', array('footer1'=>$bt->footer1_width, 'footer2'=>$bt->footer2_width, 'footer3'=>$bt->footer3_width, 'footer4'=>$bt->footer4_width, 'footer5'=>$bt->footer5_width), $bt_footer_bottom_width, 'horizontal');
        // END: Footer Two
		?>
		<div class="clearfix" id="bt_footer_separator">&nbsp;</div>
        <?php
        // BEGIN: Footer Two
        echo $bt->getPosition('footer_two', array('btlogo'=>$bt->btlogo_width, 'footer6'=>$bt->footer6_width, 'footer7'=>$bt->footer7_width, 'footer8'=>$bt->footer8_width, 'footer9'=>$bt->footer9_width), $bt_footer_bottom_width, 'horizontal');
        // END: Footer Two
		?>
        </div>
        <?php
		}
		?>
    </div>
    
    </div><?php // END: #bt_shadow ?>
    
    </div><?php // END: #bt_body_inner ?>
    
    </div><?php // END: #bt_body_outer ?>

</div><?php // END: #bt_body_outer_bg ?>

<?php 
// BEGIN Go top button
if ($bt->display_gototop) {
	echo $bt->bt_gototop; 
}
// END Go top button
?>

<jdoc:include type="modules" name="debug" />
</body>
</html>